Subject: Re: [RFC/PATCH 5/14] powerpc: Fix 440/440A machine check handling

From: Josh Boyer <[email-masked]>
Date: Wed, 21 Nov 2007 13:51:09 -0600

On Thu, 22 Nov 2007 06:48:50 +1100
Benjamin Herrenschmidt <[email-masked]> wrote:

> 
> > Why didn't you just add a ppc_md.machine_check_exception to the
> > effected boards?  Then you could have gotten rid of the ifdefs all
> > together.
> 
> Hrm... it's per processor, not per board. I didn't feel like digging
> which board uses which processor and go fixup all the ppc_md's

Sounds like something a generic function could probe for from the DTS.
I'll look at doing something here when I start making 44x multiplatform
(soon).

josh